Skip to content

job/single

Returns one job by id.

Method and path

GET /job/single/{job_id}

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1 and 2 users.

Admin users can retrieve any job.

Superusers are limited to jobs linked to projects they can access.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.

Path parameters

ParameterTypeRequiredDescription
job_idintegeryesJob identifier.

Example request

bash
curl "$SIGNAL_API_BASE_URL/job/single/<job_id>" \
  -H "X-Api-Key: $SIGNAL_API_KEY"

Example response

json
{
  "id": "<job_id>",
  "type": "<job_type>",
  "active": "<boolean>",
  "freq": "<frequency_seconds>",
  "label": "Example Job",
  "notes": "Example notes",
  "search": "<search_string_or_json>",
  "search_lang": "<language_code_or_null>",
  "lastrun": "<datetime_or_null>",
  "lastrunTimestamp": "<unix_timestamp_or_null>",
  "timeFromLastRun": "<seconds_or_null>"
}

Response fields

FieldTypeDescription
idintegerJob identifier.
typestringnull
activebooleaninteger
freqintegernull
labelstringnull
notesstringnull
searchstringnull
search_langstringnull
lastrunstringnull
lastrunTimestampintegernull
timeFromLastRunintegernull

Doc rev.1.12.3 2026.05.08